Settings (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.config
Class Settings

    java.lang.Object
      net.sf.jftp.config.Settings

    public class Settings

extends java.lang.Object

Field Summary
`static java.lang.String` | `adv_settings`
`static java.lang.String` | `appHomeDir`
`static boolean` | `askToResume`
`static boolean` | `askToRun`
`static java.lang.String` | `audioFileImage`
`static java.lang.String` | `background`
`static java.lang.String` | `bookFileImage`
`static java.lang.String` | `bookmarks`
`static int` | `bufferSize`
`static java.lang.String` | `cdImage`
`static java.lang.String` | `cdUpImage`
`static java.lang.String` | `changelog`
`static java.lang.String` | `clearImage`
`static java.lang.String` | `clearImage2`
`static java.lang.String` | `clearLogImage`
`static java.lang.String` | `closeImage`
`static java.lang.String` | `cmdImage`
`static java.lang.String` | `codeFileImage`
`static int` | `connectionTimeout`
`static java.lang.String` | `copyImage`
`static java.lang.String` | `defaultDir`
`static java.lang.String` | `defaultHeight`
`static java.lang.String` | `defaultWidth`
`static java.lang.String` | `defaultWorkDir`
`static java.lang.String` | `defaultX`
`static java.lang.String` | `defaultY`
`static java.lang.String` | `deleteImage`
`static java.lang.String` | `deleteImage2`
`static java.lang.String` | `dirImage`
`static java.lang.String` | `downloadImage`
`static boolean` | `enableFtpDelays`
`static boolean` | `enableResuming`
`static boolean` | `enableUploadResuming`
`static boolean` | `enableWebDav`
`static java.lang.String` | `execFileImage`
`static java.lang.String` | `fileImage`
`static boolean` | `ftpKeepAlive`
`static int` | `ftpKeepAliveInterval`
`static int` | `ftpTransferThreadPause`
`static java.lang.String` | `greeting`
`static java.lang.String` | `helpImage`
`static java.lang.String` | `hiddenPassword`
`static boolean` | `hideStatus`
`static java.lang.String` | `hostImage`
`static java.lang.String` | `htmlFileImage`
`static java.lang.String` | `iconImage`
`static java.lang.String` | `imageFileImage`
`static java.lang.String` | `infoImage`
`static java.lang.String` | `insomniacTitle`
`static boolean` | `IS_JAVA_1_6`
`static boolean` | `isInsomniacClient`
`static boolean` | `isStandalone`
`static java.lang.String` | `last_cons`
`static java.lang.String` | `linkImage`
`static java.lang.String` | `listImage`
`static int` | `logFlushInterval`
`static java.lang.String` | `login`
`static java.lang.String` | `login_def`
`static java.lang.String` | `login_def_nfs`
`static java.lang.String` | `login_def_sftp`
`static java.lang.String` | `login_def_smb`
`static java.lang.String` | `ls_out`
`static int` | `maxConnections`
`static java.lang.String` | `mkdirImage`
`static java.lang.String` | `nextRSSImage`
`static java.lang.String` | `nfsImage`
`static java.lang.String` | `nfsinfo`
`static boolean` | `noUploadResumingQuestion`
`static int` | `numFiles`
`static java.lang.String` | `openImage`
`static java.lang.String` | `pauseImage`
`static java.lang.String` | `pauseImage2`
`static java.lang.String` | `presentationFileImage`
`static java.lang.String` | `propertyFilename`
`static java.lang.String` | `queueImage`
`static java.lang.String` | `readme`
`static boolean` | `reconnect`
`static int` | `refreshDelay`
`static java.lang.String` | `refreshImage`
`static java.lang.String` | `refreshImage2`
`static boolean` | `resize`
`static java.lang.String` | `resumeImage`
`static java.lang.String` | `resumeImage2`
`static java.lang.String` | `rmdirImage`
`static int` | `runtimeCommands`
`static boolean` | `safeMode`
`static java.lang.String` | `saveImage`
`static java.lang.String` | `scrollLockImage`
`static int` | `scrollSpeed`
`static java.lang.String` | `sftpImage`
`static boolean` | `shortProgress`
`static boolean` | `showDateNoSize`
`static boolean` | `showFileSize`
`static boolean` | `showLocalDateNoSize`
`static boolean` | `showNewlineOption`
`static int` | `smallSize`
`static int` | `smallSizeUp`
`static boolean` | `sortDir`
`static java.lang.String` | `spreadsheetFileImage`
`static java.lang.String` | `sshHostKeyVerificationFile`
`static int` | `statusMessageAfterMillis`
`static int` | `testTimeout`
`static java.lang.String` | `textFileImage`
`static java.lang.String` | `title`
`static java.lang.String` | `todo`
`static java.lang.String` | `typeImage`
`static int` | `uiRefresh`
`static java.lang.String` | `uploadImage`
`static boolean` | `useDefaultDir`
`static boolean` | `useFixedTableWidths`
`static boolean` | `useLogFlusher`
`static java.lang.String` | `userHomeDir`
`static java.lang.String` | `videoFileImage`
`static int` | `visibleFileRows`
`static java.lang.String` | `webdavImage`
`static java.lang.String` | `zipFileImage`

Constructor Summary
`Settings()`

Method Summary
`static boolean` | `getAskToDelete()`
`static boolean` | `getDisableLog()`
`static boolean` | `getEnableDebug()`
`static boolean` | `getEnableMultiThreading()`
`static boolean` | `getEnableResuming()`
`static boolean` | `getEnableRSS()`
`static boolean` | `getEnableSftpMultiThreading()`
`static boolean` | `getEnableSmbMultiThreading()`
`static boolean` | `getEnableSshKeys()`
`static boolean` | `getEnableStatusAnimation()`
`static boolean` | `getFtpPasvMode()`
`static boolean` | `getHideLocalDotNames()`
`static java.lang.String` | `getLookAndFeel()`
`static int` | `getMaxConnections()`
`static boolean` | `getNoUploadMultiThreading()`
`static java.lang.String` | `getProperty(java.lang.String key)`
`static java.lang.String` | `getRSSFeed()`
`static int` | `getSocketTimeout()`
`static java.lang.String` | `getSocksProxyHost()`
`static java.lang.String` | `getSocksProxyPort()`
`static boolean` | `getStorePasswords()`
`static boolean` | `getUseBackground()`
`static boolean` | `getUseDefaultDir()`
`static boolean` | `getUseNewIcons()`
`static java.awt.Point` | `getWindowLocation()`
`static java.awt.Dimension` | `getWindowSize()`
`static void` | `save()`
`static java.lang.Object` | `setProperty(java.lang.String key, boolean value)`
`static java.lang.Object` | `setProperty(java.lang.String key, int value)`
`static java.lang.Object` | `setProperty(java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyFilename

    public static final java.lang.String propertyFilename

### IS_JAVA_1_6

    public static boolean IS_JAVA_1_6

### sshHostKeyVerificationFile

    public static java.lang.String sshHostKeyVerificationFile

### defaultWidth

    public static final java.lang.String defaultWidth

See Also:
  Constant Field Values

### defaultHeight

    public static final java.lang.String defaultHeight

See Also:
  Constant Field Values

### defaultX

    public static final java.lang.String defaultX

See Also:
  Constant Field Values

### defaultY

    public static final java.lang.String defaultY

See Also:
  Constant Field Values

### maxConnections

    public static int maxConnections

### enableResuming

    public static boolean enableResuming

### enableUploadResuming

    public static boolean enableUploadResuming

### noUploadResumingQuestion

    public static boolean noUploadResumingQuestion

### askToResume

    public static boolean askToResume

### reconnect

    public static boolean reconnect

### uiRefresh

    public static int uiRefresh

### logFlushInterval

    public static int logFlushInterval

### useLogFlusher

    public static boolean useLogFlusher

### ftpTransferThreadPause

    public static int ftpTransferThreadPause

### smallSize

    public static int smallSize

### smallSizeUp

    public static int smallSizeUp

### shortProgress

    public static boolean shortProgress

### useFixedTableWidths

    public static boolean useFixedTableWidths

### enableWebDav

    public static boolean enableWebDav

### ftpKeepAlive

    public static boolean ftpKeepAlive

### ftpKeepAliveInterval

    public static int ftpKeepAliveInterval

### runtimeCommands

    public static int runtimeCommands

### askToRun

    public static boolean askToRun

### showDateNoSize

    public static boolean showDateNoSize

### showLocalDateNoSize

    public static boolean showLocalDateNoSize

### hideStatus

    public static boolean hideStatus

### showNewlineOption

    public static boolean showNewlineOption

### bufferSize

    public static int bufferSize

### safeMode

    public static boolean safeMode

### enableFtpDelays

    public static boolean enableFtpDelays

### title

    public static final java.lang.String title

See Also:
  Constant Field Values

### insomniacTitle

    public static final java.lang.String insomniacTitle

See Also:
  Constant Field Values

### isInsomniacClient

    public static boolean isInsomniacClient

### refreshDelay

    public static int refreshDelay

### useDefaultDir

    public static boolean useDefaultDir

### resize

    public static boolean resize

### showFileSize

    public static boolean showFileSize

### sortDir

    public static boolean sortDir

### visibleFileRows

    public static final int visibleFileRows

See Also:
  Constant Field Values

### scrollSpeed

    public static int scrollSpeed

### numFiles

    public static int numFiles

### connectionTimeout

    public static final int connectionTimeout

See Also:
  Constant Field Values

### testTimeout

    public static final int testTimeout

See Also:
  Constant Field Values

### statusMessageAfterMillis

    public static int statusMessageAfterMillis

### defaultDir

    public static final java.lang.String defaultDir

See Also:
  Constant Field Values

### defaultWorkDir

    public static final java.lang.String defaultWorkDir

### userHomeDir

    public static final java.lang.String userHomeDir

### appHomeDir

    public static final java.lang.String appHomeDir

### greeting

    public static final java.lang.String greeting

See Also:
  Constant Field Values

### bookmarks

    public static final java.lang.String bookmarks

### ls_out

    public static final java.lang.String ls_out

### login_def

    public static final java.lang.String login_def

### login

    public static final java.lang.String login

### last_cons

    public static final java.lang.String last_cons

### login_def_sftp

    public static final java.lang.String login_def_sftp

### login_def_smb

    public static final java.lang.String login_def_smb

### login_def_nfs

    public static final java.lang.String login_def_nfs

### adv_settings

    public static final java.lang.String adv_settings

### readme

    public static final java.lang.String readme

See Also:
  Constant Field Values

### changelog

    public static final java.lang.String changelog

See Also:
  Constant Field Values

### todo

    public static final java.lang.String todo

See Also:
  Constant Field Values

### nfsinfo

    public static final java.lang.String nfsinfo

See Also:
  Constant Field Values

### iconImage

    public static java.lang.String iconImage

### hostImage

    public static java.lang.String hostImage

### closeImage

    public static java.lang.String closeImage

### infoImage

    public static java.lang.String infoImage

### listImage

    public static java.lang.String listImage

### rmdirImage

    public static java.lang.String rmdirImage

### mkdirImage

    public static java.lang.String mkdirImage

### refreshImage

    public static java.lang.String refreshImage

### refreshImage2

    public static java.lang.String refreshImage2

### cdImage

    public static java.lang.String cdImage

### cmdImage

    public static java.lang.String cmdImage

### downloadImage

    public static java.lang.String downloadImage

### queueImage

    public static java.lang.String queueImage

### uploadImage

    public static java.lang.String uploadImage

### fileImage

    public static java.lang.String fileImage

### dirImage

    public static java.lang.String dirImage

### codeFileImage

    public static java.lang.String codeFileImage

### textFileImage

    public static java.lang.String textFileImage

### execFileImage

    public static java.lang.String execFileImage

### audioFileImage

    public static java.lang.String audioFileImage

### videoFileImage

    public static java.lang.String videoFileImage

### htmlFileImage

    public static java.lang.String htmlFileImage

### zipFileImage

    public static java.lang.String zipFileImage

### imageFileImage

    public static java.lang.String imageFileImage

### presentationFileImage

    public static java.lang.String presentationFileImage

### spreadsheetFileImage

    public static java.lang.String spreadsheetFileImage

### bookFileImage

    public static java.lang.String bookFileImage

### copyImage

    public static java.lang.String copyImage

### openImage

    public static java.lang.String openImage

### sftpImage

    public static java.lang.String sftpImage

### nfsImage

    public static java.lang.String nfsImage

### webdavImage

    public static java.lang.String webdavImage

### linkImage

    public static java.lang.String linkImage

### typeImage

    public static java.lang.String typeImage

### deleteImage

    public static java.lang.String deleteImage

### deleteImage2

    public static java.lang.String deleteImage2

### clearImage

    public static java.lang.String clearImage

### clearImage2

    public static java.lang.String clearImage2

### resumeImage

    public static java.lang.String resumeImage

### resumeImage2

    public static java.lang.String resumeImage2

### pauseImage

    public static java.lang.String pauseImage

### pauseImage2

    public static java.lang.String pauseImage2

### saveImage

    public static java.lang.String saveImage

### cdUpImage

    public static java.lang.String cdUpImage

### nextRSSImage

    public static java.lang.String nextRSSImage

### helpImage

    public static java.lang.String helpImage

### scrollLockImage

    public static java.lang.String scrollLockImage

### clearLogImage

    public static java.lang.String clearLogImage

### background

    public static java.lang.String background

### isStandalone

    public static boolean isStandalone

### hiddenPassword

    public static java.lang.String hiddenPassword

Constructor Detail

### Settings

    public Settings()

Method Detail

### setProperty

    public static java.lang.Object setProperty(java.lang.String key,
                                               java.lang.String value)

### getProperty

    public static java.lang.String getProperty(java.lang.String key)

### setProperty

    public static java.lang.Object setProperty(java.lang.String key,
                                               int value)

### setProperty

    public static java.lang.Object setProperty(java.lang.String key,
                                               boolean value)

### save

    public static void save()

### getHideLocalDotNames

    public static boolean getHideLocalDotNames()

### getMaxConnections

    public static int getMaxConnections()

### getSocksProxyHost

    public static java.lang.String getSocksProxyHost()

### getSocksProxyPort

    public static java.lang.String getSocksProxyPort()

### getUseBackground

    public static boolean getUseBackground()

### getEnableSshKeys

    public static boolean getEnableSshKeys()

### getEnableResuming

    public static boolean getEnableResuming()

### getEnableDebug

    public static boolean getEnableDebug()

### getDisableLog

    public static boolean getDisableLog()

### getEnableStatusAnimation

    public static boolean getEnableStatusAnimation()

### getAskToDelete

    public static boolean getAskToDelete()

### getLookAndFeel

    public static java.lang.String getLookAndFeel()

### getUseNewIcons

    public static boolean getUseNewIcons()

### getEnableMultiThreading

    public static boolean getEnableMultiThreading()

### getEnableSmbMultiThreading

    public static boolean getEnableSmbMultiThreading()

### getEnableSftpMultiThreading

    public static boolean getEnableSftpMultiThreading()

### getNoUploadMultiThreading

    public static boolean getNoUploadMultiThreading()

### getFtpPasvMode

    public static boolean getFtpPasvMode()

### getUseDefaultDir

    public static boolean getUseDefaultDir()

### getEnableRSS

    public static boolean getEnableRSS()

### getRSSFeed

    public static java.lang.String getRSSFeed()

### getWindowSize

    public static java.awt.Dimension getWindowSize()

### getWindowLocation

    public static java.awt.Point getWindowLocation()

### getSocketTimeout

    public static int getSocketTimeout()

### getStorePasswords

    public static boolean getStorePasswords()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD